
QGIS Application - Bug report #9991

python error when deleting PostGIS spatial index with DB manager

2014-04-03 07:10 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18483

Description

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/dlg_table_properties.py", line 316, in deleteIndex

    idx = m.getObject(index)

  File "/usr/share/qgis/python/plugins/db_manager/db_plugins/data_model.py", line 301, in getObject

    idx = val.toPyObject() if val.isValid() else self._getNewObject()

AttributeError: 'PGTableIndex' object has no attribute 'isValid'

Associated revisions

Revision 272ac2ec - 2014-06-01 03:36 PM - Jürgen Fischer

db_manager: replace toPyObject() (old sip api; fixes #9991)

History

#1 - 2014-06-01 06:36 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"272ac2ec55361810a7b8c769df6f9907a024224c".
